summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Sokolov <sokolov@google.com>2018-11-08 23:51:02 +0000
committerAndreas Sturmlechner <asturm@gentoo.org>2018-11-13 00:00:27 +0100
commitd98bb3a1271beddc2e923838e6b1dba0696d6141 (patch)
tree348f3b608c8908ace024b97cbad1d5793a909c9e /sci-astronomy
parentmedia-libs/libopenshot: Drop 0.1.8 (diff)
downloadgentoo-d98bb3a1271beddc2e923838e6b1dba0696d6141.tar.gz
gentoo-d98bb3a1271beddc2e923838e6b1dba0696d6141.tar.bz2
gentoo-d98bb3a1271beddc2e923838e6b1dba0696d6141.zip
sci-astronomy/stellarium: version 0.18.2
The changes from 0.16.0-r1: * URL update * stars filenames update * patch, upstreaming at https://github.com/Stellarium/stellarium/pull/545 Closes: https://bugs.gentoo.org/618158 Signed-off-by: Alexey Sokolov <sokolov@google.com> Closes: https://github.com/gentoo/gentoo/pull/10368 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/stellarium/Manifest2
-rw-r--r--sci-astronomy/stellarium/files/stellarium-0.18.2.patch47
-rw-r--r--sci-astronomy/stellarium/stellarium-0.18.2.ebuild111
3 files changed, 160 insertions, 0 deletions
diff --git a/sci-astronomy/stellarium/Manifest b/sci-astronomy/stellarium/Manifest
index 913abbbf52b..f2dc414ff2e 100644
--- a/sci-astronomy/stellarium/Manifest
+++ b/sci-astronomy/stellarium/Manifest
@@ -1,6 +1,8 @@
DIST stars_4_1v0_1.cat 17040932 BLAKE2B 6715c129b27bb82b4b9b432bd56ed56dcbb1fbe9b9b608154656431119e75ab27e3c8afa66bce0fed1b2f7d080df49e770ddf63241f253e9f6f139be8238349d SHA512 adf2241d0a8b58eb6b8ad5f885dd8a3a66610a63ae949f17f26e81f1ac8d1094d77879e361a0de3929e0d447b0de77142e0c7de0f1f123bd145e130fbfbe0f9a
+DIST stars_4_1v0_2.cat 16948302 BLAKE2B 6efe02c6343fa3cd121879dddd3017dbd42a7c8965481b1ab79a258cedc4adc85df25240003b95c325eb35a8ed9686c38b2590f78aff9cd400ecac675583232d SHA512 80e5b2d0bc78c09658e84e7ee57309be290ba66a131ff38aa471235ff513d7824b28f6852ba1fdb485f86ede1fb2388cfb6327b2f1fe60bb097ce0cdbe48d2cb
DIST stars_5_2v0_1.cat 42580300 BLAKE2B eb6528c0577b3f2001a8b03cc5a4e08fa4e75723f677d0dda98d27c50791d9825c0e0feca7b00f0cb82ce362bc83f3e8dc2260d14e81e4a070cbbfa44f2107ba SHA512 6fc0f7352d1165a0744cc932b6d379741e4614d5a95edd136522c789eaa8d1bcf05d7445f7dfd6896e8183aa64bf37b3610d87902b54542f62f2418b285892e0
DIST stars_6_2v0_1.cat 148352404 BLAKE2B c605b284b3d768cb1619ada3f58d406fa7737f09949e8926d6c14b82a85927d124d7fcb50c6d6c357d21b003938cc0b28937f2adb28ae268bb5c85d575f5e0ff SHA512 794279407595f44bbc1e492086063d98068bf332202a5448cd83dd7afbdcf7c6c3ff2878f3016369ebb5a98552874eb4eddb38e2c40e9a163c6231b640e02977
DIST stars_7_2v0_1.cat 305710678 BLAKE2B 1cc9b4a6bc35a9339e495f7e0da4f7e90a0e92b05b5de8599be1bbdd2a8053cbcec44b0e58bc9248364666db9cdf23449edf236e3f21fdc0e8f1a4a706afc919 SHA512 43b866eb793e8812c9d5502101a6c985d2055fb88bdbda274726bcd51e1527ecf342b22acd673318c9c8e88cac68eace18de8f27d29ffe64933fd32a5b84c5e3
DIST stars_8_2v0_1.cat 559068934 BLAKE2B c040a369cdf6885759998e1315b554d21a5e2b9b149a67967a8af45606aebf57bec407fab5ce1904978af0dc529aa6bddd267331ca45f58617bbf56d5ca99dee SHA512 06d4fa298b9dff8452f550377df99fcaa5e7107cfc7b75c9a4769b3cb6d97a822a54213c706102c1d7ef2dabc16df32a85f46b2f6d6c6f76a4e919353b739de4
DIST stellarium-0.16.0.tar.gz 204675673 BLAKE2B fe34ab611569e23277ae9f273d1ae72139d5b860d0ae1b5650a9744960ce8bac6953d7de98b60bd224374aa77db33c00081ed90d1683b2007ef1b5068af158ff SHA512 0f75441435ff1d0fa149264116e9ae6ec3b3553f7c66e78832bdb0ffd55cbef656b820680134d95f89c73e80ef283372660ea7545db7fff205da66cf4cf8e9d6
+DIST stellarium-0.18.2.tar.gz 265334731 BLAKE2B d8527f93f2ea856466f98e7ab326a34e4265c4937c4d399755878cc6bbb1202580c825a6253e090986ebc80119fb33881b120a1ed6873278dacef75a1e69c517 SHA512 f658b19524b78739a5125ac7c89f5d2b48284d8696da54e39d2390bbbe5eeb8da70837c4e9055a650a492f3f71ebbc966c4c1341729982ba37d93b26fcb91912
diff --git a/sci-astronomy/stellarium/files/stellarium-0.18.2.patch b/sci-astronomy/stellarium/files/stellarium-0.18.2.patch
new file mode 100644
index 00000000000..71fc8ccf2d7
--- /dev/null
+++ b/sci-astronomy/stellarium/files/stellarium-0.18.2.patch
@@ -0,0 +1,47 @@
+From e1bd46e11fead134ee9d8ec4d72f2592c3e18c72 Mon Sep 17 00:00:00 2001
+From: Alexey Sokolov <sokolov@google.com>
+Date: Thu, 8 Nov 2018 23:30:02 +0000
+Subject: [PATCH] Fix build with --as-needed
+
+Fixes the following error:
+
+/usr/bin/x86_64-pc-linux-gnu-g++ -O2 -pipe -march=bdver2 -ggdb3 -Wall -Wextra -Wno-unused-parameter -Wno-unused-result -Wl,-O1 -Wl,--as-needed -rdynamic CMakeFiles/stellarium.dir/main.cpp.o CMakeFiles/stellarium.dir/stellarium_autogen/mocs_compilation.cpp.o -o stellarium -lz external/libqtcompress_stel.a external/libglues_stel.a external/libqcustomplot_stel.a ../plugins/AngleMeasure/src/libAngleMeasure.a ../plugins/ArchaeoLines/src/libArchaeoLines.a ../plugins/CompassMarks/src/libCompassMarks.a ../plugins/Exoplanets/src/libExoplanets.a ../plugins/EquationOfTime/src/libEquationOfTime.a ../plugins/FOV/src/libFOV.a ../plugins/MeteorShowers/src/libMeteorShowers.a ../plugins/NavStars/src/libNavStars.a ../plugins/Novae/src/libNovae.a ../plugins/Observability/src/libObservability.a ../plugins/Oculars/src/libOculars.a ../plugins/PointerCoordinates/src/libPointerCoordinates.a ../plugins/Pulsars/src/libPulsars.a ../plugins/Quasars/src/libQuasars.a ../plugins/RemoteControl/src/libRemoteControl.a ../plugins/RemoteSync/src/libRemoteSync.a ../plugins/Satellites/src/libSatellites.a ../plugins/Scenery3d/src/libScenery3d.a ../plugins/SolarSystemEditor/src/libSolarSystemEditor.a ../plugins/Supernovae/src/libSupernovae.a ../plugins/TextUserInterface/src/libTextUserInterface.a ../plugins/TelescopeControl/src/libTelescopeControl.a libstelMain.a external/libqtcompress_stel.a -lz external/libglues_stel.a ../plugins/AngleMeasure/src/libAngleMeasure.a ../plugins/ArchaeoLines/src/libArchaeoLines.a ../plugins/CompassMarks/src/libCompassMarks.a ../plugins/Exoplanets/src/libExoplanets.a external/libqcustomplot_stel.a /usr/lib64/libQt5PrintSupport.so.5.11.1 ../plugins/EquationOfTime/src/libEquationOfTime.a ../plugins/FOV/src/libFOV.a ../plugins/MeteorShowers/src/libMeteorShowers.a ../plugins/NavStars/src/libNavStars.a ../plugins/Novae/src/libNovae.a ../plugins/Observability/src/libObservability.a ../plugins/Oculars/src/libOculars.a ../plugins/PointerCoordinates/src/libPointerCoordinates.a ../plugins/Pulsars/src/libPulsars.a ../plugins/Quasars/src/libQuasars.a ../plugins/RemoteControl/src/libRemoteControl.a ../plugins/RemoteSync/src/libRemoteSync.a ../plugins/Satellites/src/libSatellites.a ../plugins/Scenery3d/src/libScenery3d.a ../plugins/SolarSystemEditor/src/libSolarSystemEditor.a ../plugins/Supernovae/src/libSupernovae.a ../plugins/TextUserInterface/src/libTextUserInterface.a ../plugins/TelescopeControl/src/libTelescopeControl.a /usr/lib64/libQt5SerialPort.so.5.11.1 ../plugins/TelescopeControl/src/gui/libTelescopeControl_gui.a ../plugins/TelescopeControl/src/Lx200/libTelescopeControl_Lx200.a ../plugins/TelescopeControl/src/INDI/libTelescopeControl_INDI.a external/libindiclient.a external/libzlib_stel.a -lpthread ../plugins/TelescopeControl/src/NexStar/libTelescopeControl_NexStar.a ../plugins/TelescopeControl/src/Rts2/libTelescopeControl_Rts2.a ../plugins/TelescopeControl/src/common/libTelescopeControl_common.a /usr/lib64/libQt5Concurrent.so.5.11.1 /usr/lib64/libQt5Network.so.5.11.1 /usr/lib64/libQt5Widgets.so.5.11.1 /usr/lib64/libQt5Gui.so.5.11.1 /usr/lib64/libQt5Script.so.5.11.1 /usr/lib64/libQt5Core.so.5.11.1
+../plugins/TelescopeControl/src/gui/libTelescopeControl_gui.a(TelescopeConfigurationDialog.cpp.o): In function `QList<QSerialPortInfo>::dealloc(QListData::Data*) [clone .isra.21]':
+/usr/include/qt5/QtCore/qlist.h:494: undefined reference to `QSerialPortInfo::~QSerialPortInfo()'
+../plugins/TelescopeControl/src/gui/libTelescopeControl_gui.a(TelescopeConfigurationDialog.cpp.o): In function `TelescopeConfigurationDialog::listSerialPorts()':
+/mnt/portagetmp/portage/sci-astronomy/stellarium-0.18.2/work/stellarium-0.18.2/plugins/TelescopeControl/src/gui/TelescopeConfigurationDialog.cpp:73: undefined reference to `QSerialPortInfo::availablePorts()'
+/mnt/portagetmp/portage/sci-astronomy/stellarium-0.18.2/work/stellarium-0.18.2/plugins/TelescopeControl/src/gui/TelescopeConfigurationDialog.cpp:80: undefined reference to `QSerialPortInfo::portName() const'
+/mnt/portagetmp/portage/sci-astronomy/stellarium-0.18.2/work/stellarium-0.18.2/plugins/TelescopeControl/src/gui/TelescopeConfigurationDialog.cpp:81: undefined reference to `QSerialPortInfo::vendorIdentifier() const'
+/mnt/portagetmp/portage/sci-astronomy/stellarium-0.18.2/work/stellarium-0.18.2/plugins/TelescopeControl/src/gui/TelescopeConfigurationDialog.cpp:82: undefined reference to `QSerialPortInfo::productIdentifier() const'
+/mnt/portagetmp/portage/sci-astronomy/stellarium-0.18.2/work/stellarium-0.18.2/plugins/TelescopeControl/src/gui/TelescopeConfigurationDialog.cpp:78: undefined reference to `QSerialPortInfo::systemLocation() const'
+../plugins/TelescopeControl/src/gui/libTelescopeControl_gui.a(TelescopeConfigurationDialog.cpp.o): In function `QList<QSerialPortInfo>::detach_helper(int)':
+/usr/include/qt5/QtCore/qlist.h:462: undefined reference to `QSerialPortInfo::QSerialPortInfo(QSerialPortInfo const&)'
+/usr/include/qt5/QtCore/qlist.h:468: undefined reference to `QSerialPortInfo::~QSerialPortInfo()'
+collect2: error: ld returned 1 exit status
+---
+ plugins/TelescopeControl/src/CMakeLists.txt | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/plugins/TelescopeControl/src/CMakeLists.txt b/plugins/TelescopeControl/src/CMakeLists.txt
+index e8dc3212fe..34586b7528 100644
+--- a/plugins/TelescopeControl/src/CMakeLists.txt
++++ b/plugins/TelescopeControl/src/CMakeLists.txt
+@@ -22,15 +22,15 @@ ADD_LIBRARY(TelescopeControl-static STATIC
+ SET_TARGET_PROPERTIES(TelescopeControl-static PROPERTIES OUTPUT_NAME "TelescopeControl")
+
+ TARGET_LINK_LIBRARIES(TelescopeControl-static
+- Qt5::Core
+- Qt5::Widgets
+- Qt5::SerialPort
+ TelescopeControl_gui
+ TelescopeControl_Lx200
+ TelescopeControl_INDI
+ TelescopeControl_NexStar
+ TelescopeControl_Rts2
+ TelescopeControl_common
++ Qt5::Core
++ Qt5::Widgets
++ Qt5::SerialPort
+ )
+
+ SET_TARGET_PROPERTIES(TelescopeControl-static PROPERTIES COMPILE_FLAGS "-DQT_STATICPLUGIN")
diff --git a/sci-astronomy/stellarium/stellarium-0.18.2.ebuild b/sci-astronomy/stellarium/stellarium-0.18.2.ebuild
new file mode 100644
index 00000000000..5e6e6cc48c8
--- /dev/null
+++ b/sci-astronomy/stellarium/stellarium-0.18.2.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils desktop flag-o-matic gnome2-utils
+
+DESCRIPTION="3D photo-realistic skies in real time"
+HOMEPAGE="http://www.stellarium.org/"
+SRC_URI="
+ https://github.com/Stellarium/stellarium/releases/download/v${PV}/${P}.tar.gz
+ stars? (
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_4_1v0_2.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_5_2v0_1.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_6_2v0_1.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_7_2v0_1.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_8_2v0_1.cat
+ )"
+
+PATCHES=( "${FILESDIR}"/${P}.patch )
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug gps media nls stars"
+
+RESTRICT="test" # There are no tests
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtopengl:5
+ dev-qt/qtscript:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtserialport:5
+ dev-qt/qtwidgets:5
+ gps? ( dev-qt/qtpositioning:5 )
+ media? ( dev-qt/qtmultimedia:5[widgets] )
+ media-fonts/dejavu
+ sys-libs/zlib
+ virtual/opengl
+"
+DEPEND="${RDEPEND}
+ dev-qt/qtconcurrent:5
+ dev-qt/qttest:5
+ nls? ( dev-qt/linguist-tools:5 )"
+
+LANGS=(
+ af am ar as ast az be bg bn bo br bs ca cs
+ cy da de el en en-GB en-US eo es et eu fa fi fil fr
+ ga gd gl gu he hi hr hu hy ia id is it ja ka kk kn ko ky
+ la lb lo lt lv mk ml mn mr ms nb nl nn oc pa pl pt pt-BR ro
+ ru se si sk sl sq sr sv sw ta te tg th tl tr tt uk uz vi
+ zh-CN zh-HK zh-TW zu
+ )
+
+for X in "${LANGS[@]}" ; do
+ IUSE+=" l10n_${X}"
+done
+unset X
+
+src_prepare() {
+ cmake-utils_src_prepare
+ if [[ -n ${L10N} ]] ; then
+ local d
+ for d in po/* ; do
+ [[ -e ${d}/CMakeLists.txt ]] || continue
+ local l loc=""
+ for l in ${L10N//-/_}; do
+ [[ -e ${d}/${l}.po ]] && loc="${loc} ${l}"
+ done
+ sed -e 's/STRING(REGEX REPLACE ".po" "" \([a-z]*\).*$/SET(\1 '"${loc})/" \
+ -i ${d}/CMakeLists.txt || die
+ done
+ fi
+ use debug || append-cppflags -DQT_NO_DEBUG #415769
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_GPS="$(usex gps)"
+ -DENABLE_NLS="$(usex nls)"
+ -DENABLE_MEDIA="$(usex media)"
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # use the more up-to-date system fonts
+ rm "${ED%/}"/usr/share/stellarium/data/DejaVuSans{Mono,}.ttf || die
+ dosym ../../fonts/dejavu/DejaVuSans.ttf /usr/share/stellarium/data/DejaVuSans.ttf
+ dosym ../../fonts/dejavu/DejaVuSansMono.ttf /usr/share/stellarium/data/DejaVuSansMono.ttf
+
+ if use stars ; then
+ insinto /usr/share/${PN}/stars/default
+ doins "${DISTDIR}"/stars_4_1v0_2.cat
+ doins "${DISTDIR}"/stars_{5,6,7,8}_2v0_1.cat
+ fi
+ newicon doc/images/stellarium-logo.png ${PN}.png
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}